CE4.9.9 Update wie?

Hallo Zusammen,

wo findet man ein offizelles Update-Guide? Ich habe ein CE4.9.9 Shop und muss jetzt auf PHP7.2 umstellen. Ich werde wahrscheinlich zuerst auf 4.10.x updaten, mit dem Blog https://oxidforge.org/de/oxid-eshop-fur-php-7-patchen.html noch den Shop für PHP7.2 lauffähig machen, dann im Lauf des 2020 noch auf 6.1.x updaten.

Nun meine erste Frage: sieht ihr da Probleme mit dem Patch für PHP7.2? Macht es den späteren Update auf oxid 6 schwieriger?

Meine zweite Frage: wo finde ich ein Guide, was dann den Pfad beschreibt, wie man zuerst von 4.9.9 auf 4.10.x updaten, und später auf 6.1.x updaten? Es gibt ein Guide für 4.10.x zu 6.1.x, aber nicht für dazwischen. Es gibt anscheinend noch 10 Versionen von 4.9.9 zu 4.10.x. Muss ich da einzelne einspielen und testen, so 10x? Vielen Dank im Voraus für die Antworten.

MfG, fire

Hallo,

das Update auf 4.10.6 ist ein Standard-Update. Anleitung hier: https://docs.oxid-esales.com/eshop/de/5.3/installation/update-installation/index.html. Danach geht es hiermit weiter: https://docs.oxid-esales.com/eshop/de/6.0/installation/update-installation/ab-4106536-auf-600-aktualisieren.html.

Grüße! Jürgen

1 Like

Hallo Fire,

wir können Dir auch Deinen OXID 4.9.x auf php7.2 umstellen, dann sparrst Du Dir den Schritt auf 4.10.
Bei Interesse einfach melden

Danke für das Angebot, da ich selbst ITler bin, versuche ich mal selber zuerst. wenn ich nicht weiter komme, komme ich gerne auf das Angebot zurück.
VG,

Hi Jürgen,

danke für die Links. Ich habe mal durchgelesen, steht leider drin nichts über wie ich genauer vorgehen soll: Muss ich von 4.9.9 auf 4.9.10, dann auf 4.10 und dann auf 4.10.1 bis ich auf 4.10.6 lande, oder kann ich direkt von 4.9.9 auf 4.10.6 gehen? Also nur das Patch von 4.10.6 nehmen?

Außerdem steht auch ein Link " Auf UTF-8 umstellen", wofür ist das Umstellen und ist es notwendig? Leider finde ich auch keine Info dazu.

VG, fire

Ah ok habe das Update-Paket gefunden, diese Frage schonmal geantwortet. Ist mir nur noch nicht ganz klar, ob “Umstellen auf UTF-8” notwendig ist, auch mit Hinsicht auf Update auf 6.1.x?

Hi!

Also. UTF-8 ist Standardzeichensatz seit der Version 4.9.0. Siehe Release Notes: https://docs.oxid-esales.com/eshop/de/5.3/releases/releases-2014/oxid-eshop-490520.html?highlight=utf. Ab Version 6.0 verwenden Quellcode, Daten und Datenbank ausschließlich den Unicode-Zeichensatz UTF-8. Ich denke, eine Umstellung auf UTF-8 solltest Du gleich miterledigen.

Grüße! Jürgen

1 Like

super vielen Dank für die Info, wusste es gar nicht. Es ist schon merkwürdig, dass ich eigentlich 4.9.x installiert habe - 4.9.0 wurde ja schon 2014 veröffentlicht, ich habe den Shop in 2016 runtergeladen und installiert. Es müsste also eigentlich passen.

Nur auf Systemgesundheit-Seite steht weiterhin: “Es werden unterschiedliche Kollationen für die ID-Felder verwendet:” auf fast alle ox-Tabellen wie z.B.

oxconfig
(rotes Quadrat) OXID - latin1_general_ci

Ist echt komisch, obwohl oxid-Feld nicht so schlimm ist, bin trotzdem etwas verwirrt, woher es kommen sollte…

Wie kann ich prüfen, ob mein Shop schon auf UTF-8 ist?

VG,